package com.fjhx.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @ClassName: RFIDClientConfig
 * @Author: linqt
 * @Date: 2022/3/17 10:55
 * @Version: 1.0
 */
@Component
@ConfigurationProperties(prefix = "spring.kd100")
public class KD100Config {

    /**
     * 授权key
     */
    private static String key;

    /**
     * customer
     */
    private static String customer;

    /**
     * secret
     */
    private static String secret;

    /**
     * userid
     */
    private static String userid;

    /**
     * 推送回调地址
     */
    private static String callbackurl;

    public static String getKey() {
        return key;
    }

    public void setKey(String key) {
        KD100Config.key = key;
    }

    public static String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        KD100Config.customer = customer;
    }

    public static String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        KD100Config.secret = secret;
    }

    public static String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        KD100Config.userid = userid;
    }

    public static String getCallbackurl() {
        return callbackurl;
    }

    public void setCallbackurl(String callbackurl) {
        KD100Config.callbackurl = callbackurl;
    }
}
